package com.yidianling.ydl_pay.pay.bean;

import android.text.TextUtils;

import com.ydl.ydlcommon.base.BaseApp;
import com.ydl.ydlcommon.base.config.YDLConstants;
import com.ydl.ydlcommon.data.http.BaseCommand;

/**
 * @author jiucheng
 * @描述:
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2020/2/6
 */
public class WXRechargeIdParam extends BaseCommand {
    public String rechargeId;
    public String type;

    public WXRechargeIdParam(String rechargeId) {
        this.rechargeId = rechargeId;
        if(!TextUtils.isEmpty(BaseApp.instance.getGlobalConfig().getAppWxPayType())) {
            type =BaseApp.instance.getGlobalConfig().getAppWxPayType();
        }else {
            String appFrom = BaseApp.instance.getGlobalConfig().getAppFrom();
            if (YDLConstants.FROM_XLZX.equals(appFrom)) {
                type = "wxapp_consult";
            } else if (YDLConstants.FROM_YDL.equals(appFrom) || YDLConstants.FROM_YDL2.equals(appFrom)) {
                type = "wxapp_hz";
            }
        }
    }
}
